.search {
    display: flex;
    align-items: center;
    justify-content: center;

    position: relative;

    &__input {
        width: 90%;
        padding: .7rem 4rem .7rem 2rem;
        margin-right: -3.5rem;

        font-family: inherit;
        font-size: inherit;
        color: inherit;

        border: none;
        border-radius: 50px;
        background-color: var(--color-grey-light-200);

        transition: all .2s;

        &:focus {
            width: 100%;
            outline: none;
            background-color: var(--color-grey-light-300);
        }

        &::placeholder {
            font-weight: 100;
            color: var(--color-grey-light-400);
        }
    }

    &__btn {
        border: none;
        background-color: transparent;
        outline: transparent;

        &:focus {
            outline: none;
        }

        &:active {
            transform: translateY(2px);
        }

    }

    &__icon {
        height: 2rem;
        width: 2rem;

        fill: var(--color-grey-dark-300);
    }
}
